This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1471453 - kernel /boot/initramfs-4.13.0-0.rc0.git6.1.fc27.x86_64 fails to boot
kernel /boot/initramfs-4.13.0-0.rc0.git6.1.fc27.x86_64 fails to boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-15 22:17 EDT by George R. Goffe
Modified: 2017-08-07 08:54 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-07 08:54:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Console from VirtualBox VM that shows the problem (33.52 KB, text/plain)
2017-07-19 11:39 EDT, George R. Goffe
no flags Details
gziped flat file of boot log and other debug files... (145.10 KB, application/x-gzip)
2017-07-19 20:48 EDT, George R. Goffe
no flags Details

  None (edit)
Description George R. Goffe 2017-07-15 22:17:34 EDT
Description of problem:

I have updated this system to 4.13.0-0.rc0.git6.1.fc27.x86_64 but that fails to boot and seems to leave me in the grub shell. Is that right? Limited commands available? I'd like to post a system.journal file but I can't seem to figure out how to mount a USB drive. The jounal shows, I think, a problem with /sysroot/sysroot/mount.usr. Something in the system thinks is wrong with my /usr partition maybe?

I have tried and succeeded running dracut and replacing the initramfs without any luck. The filesystem did have a minor problem but that was fixed. Rerunning dracut and reboot still didn't solve the problem. The system will boot from an earlier kernel so maybe this bug report isn't "urgent". The rest of the system is up to date with respect to the Fedora 27 x86_64 (rawhide) repo. 

uname -a
Linux fc27 4.13.0-0.rc0.git5.1.fc27.x86_64 #1 SMP Tue Jul 11 15:31:13 UTC 2017 x86_64 GNU/Linux

Version-Release number of selected component (if applicable):
see above

How reproducible:
all to readily

Steps to Reproduce:
1.see above
2.
3.

Actual results:
grub shell(?)

Expected results:
"normal" boot

Additional info:
Comment 1 George R. Goffe 2017-07-19 11:39 EDT
Created attachment 1301185 [details]
Console from VirtualBox VM that shows the problem

I had a VM that mirrored the "real" system that has the problem. I updated the VM with "dnf -y upgrade" and then tried a reboot. Alas, same problem on the newer kernel. Perhaps this console log can help the debugging process?

Here is what fdisk says about the system drive:

fdisk -l /dev/sda
Disk /dev/sda: 931.5 GiB, 1000204886016 bytes, 1953525168 sectors
Units: sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 4096 bytes
I/O size (minimum/optimal): 4096 bytes / 4096 bytes
Disklabel type: dos
Disk identifier: 0xf02bc8e0

Device     Boot     Start        End    Sectors   Size Id Type
/dev/sda1  *         2048    4196351    4194304     2G 83 Linux
/dev/sda2         4196352    8390655    4194304     2G 83 Linux
/dev/sda3         8390656   25167871   16777216     8G 82 Linux swap / Solaris
/dev/sda4        25167872 1953525167 1928357296 919.5G  5 Extended
/dev/sda5        25169920   81793023   56623104    27G 83 Linux
/dev/sda6        81795072  201332735  119537664    57G 83 Linux
/dev/sda7       201334784  320872447  119537664    57G 83 Linux
/dev/sda8       320874496 1953525167 1632650672 778.5G 83 Linux
Comment 2 Laura Abbott 2017-07-19 14:06:37 EDT
Can you follow the instructions at https://fedoraproject.org/wiki/How_to_debug_Dracut_problems?rd=Dracut/Debugging#Identifying_your_problem_area to get more debugging output?

The serial console output is truncated slightly so it's hard to see what actually failed.
Comment 3 George R. Goffe 2017-07-19 20:48 EDT
Created attachment 1301475 [details]
gziped flat file of boot log and other debug files...

This file is the output of the script command, unedited. As such, it contains all special characters generated by the keyboard.
Comment 4 George R. Goffe 2017-07-26 08:59:33 EDT
Hi,

Is anything happening with this bug?

Thanks,

George...
Comment 5 Harald Hoyer 2017-08-07 08:51:04 EDT
(In reply to George R. Goffe from comment #0)
> Description of problem:
> 
> I have updated this system to 4.13.0-0.rc0.git6.1.fc27.x86_64 but that fails
> to boot and seems to leave me in the grub shell. Is that right? Limited
> commands available? I'd like to post a system.journal file but I can't seem
> to figure out how to mount a USB drive. The jounal shows, I think, a problem
> with /sysroot/sysroot/mount.usr. Something in the system thinks is wrong
> with my /usr partition maybe?

the /sysroot/sysroot issue is fixed with:

https://github.com/systemd/systemd/pull/6411
Comment 6 Harald Hoyer 2017-08-07 08:54:37 EDT
should be fixed with systemd-234-5

Note You need to log in before you can comment on or make changes to this bug.